<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_121) on Mon Mar 06 16:33:56 AST 2017 -->
<title>Uses of Class Rectangle</title>
<meta name="date" content="2017-03-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class Rectangle";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../index.html?class-use/Rectangle.html" target="_top">Frames</a></li>
<li><a href="Rectangle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class Rectangle" class="title">Uses of Class<br>Rectangle</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name>
<!--   -->
</a>
<h3>Uses of <a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a> in <a href="../package-summary.html">&lt;Unnamed&gt;</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../package-summary.html">&lt;Unnamed&gt;</a> declared as <a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a></code></td>
<td class="colLast"><span class="typeNameLabel">SimpleTwoDimDictionary.</span><code><span class="memberNameLink"><a href="../SimpleTwoDimDictionary.html#bounds">bounds</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../package-summary.html">&lt;Unnamed&gt;</a> with type parameters of type <a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleTwoDimDictionary.</span><code><span class="memberNameLink"><a href="../SimpleTwoDimDictionary.html#thisNodeContents">thisNodeContents</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../package-summary.html">&lt;Unnamed&gt;</a> with parameters of type <a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Rectangle.</span><code><span class="memberNameLink"><a href="../Rectangle.html#contains-Rectangle-">contains</a></span>(<a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;r)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleTwoDimDictionary.</span><code><span class="memberNameLink"><a href="../SimpleTwoDimDictionary.html#count-Rectangle-">count</a></span>(<a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">TwoDimDictionary.</span><code><span class="memberNameLink"><a href="../TwoDimDictionary.html#count-Rectangle-">count</a></span>(<a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Rectangle.</span><code><span class="memberNameLink"><a href="../Rectangle.html#intersects-Rectangle-">intersects</a></span>(<a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;r)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Rectangle.</span><code><span class="memberNameLink"><a href="../Rectangle.html#quadrant-Rectangle-">quadrant</a></span>(<a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;rectangle)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../SimpleTwoDimDictionary.html" title="type parameter in SimpleTwoDimDictionary">T</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleTwoDimDictionary.</span><code><span class="memberNameLink"><a href="../SimpleTwoDimDictionary.html#query-Rectangle-">query</a></span>(<a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;range)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../TwoDimDictionary.html" title="type parameter in TwoDimDictionary">T</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">TwoDimDictionary.</span><code><span class="memberNameLink"><a href="../TwoDimDictionary.html#query-Rectangle-">query</a></span>(<a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;range)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../package-summary.html">&lt;Unnamed&gt;</a> with parameters of type <a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../QuadTree.html#QuadTree-Rectangle-int-QuadTree:A-">QuadTree</a></span>(<a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;bounds,
        int&nbsp;levels,
        <a href="../QuadTree.html" title="class in &lt;Unnamed&gt;">QuadTree</a>[]&nbsp;quadtree)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../Rectangle.html#Rectangle-Rectangle-">Rectangle</a></span>(<a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;rect)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../SimpleTwoDimDictionary.html#SimpleTwoDimDictionary-Rectangle-">SimpleTwoDimDictionary</a></span>(<a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;bounds)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Rectangle.html" title="class in &lt;Unnamed&gt;">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../index.html?class-use/Rectangle.html" target="_top">Frames</a></li>
<li><a href="Rectangle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
